#! /usr/bin/env perl
# Copyright 2015-2018 The OpenSSL Project Authors. All Rights Reserved.
#
# Licensed under the Apache License 2.0 (the "License").  You may not use
# this file except in compliance with the License.  You can obtain a copy
# in the file LICENSE in the source distribution or at
# https://www.openssl.org/source/license.html


use strict;
use warnings;

use OpenSSL::Test qw(:DEFAULT data_file bldtop_dir);

setup("test_evp");

my @files = ( "evpciph.txt", "evpdigest.txt", "evpencod.txt", "evpkdf.txt",
    "evppkey_kdf.txt", "evpmac.txt", "evppbe.txt", "evppkey.txt",
    "evppkey_ecc.txt", "evpcase.txt", "evpaessiv.txt", "evpccmcavs.txt" );

plan tests => scalar(@files);

$ENV{OPENSSL_MODULES} = bldtop_dir("providers");

foreach my $f ( @files ) {
    ok(run(test(["evp_test", data_file("$f")])),
       "running evp_test $f");
}
